## libcamera 0.2.0

=== debian/changelog ===
libcamera (0.2.0-3fakesync1build6) noble; urgency=medium

  * Rebuild against new liblttng-ust1t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Apr 2024 10:24:29 +0200

libcamera (0.2.0-3fakesync1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:40:35 +0000

libcamera (0.2.0-3fakesync1build4) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:22:09 +0100

libcamera (0.2.0-3fakesync1build3) noble; urgency=medium

  * No-change rebuild against ust t64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Mar 2024 14:31:19 +0100

libcamera (0.2.0-3fakesync1build2) noble; urgency=medium

  * No-change rebuild against ust t64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Mar 2024 02:54:56 +0100

libcamera (0.2.0-3fakesync1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:34:07 +0000

libcamera (0.2.0-3fakesync1) noble-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 11:58:11 -0400

libcamera (0.2.0-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Update debian/gbp.conf
  * Don't use liblltng-ust-dev on i386
  * Disable v4l2 on non-Linux
  * autopkgtest: Run the upstream tests

  [ Steve Langasek ]
  * Add patch for 64-bit time_t compatibility (Closes: #1066836)

  [ Dylan Aïssi ]
  * Refresh patches
  * Drop 'Multi-Arch: same' for libcamera-dev due to file conflict

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 Mar 2024 11:58:17 +0100

libcamera (0.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * Bump minimum meson to 0.60

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Jan 2024 10:14:34 +0100

libcamera (0.2.0-1) experimental; urgency=medium

  * New upstream version 0.2.0
  * Bump SONAME to libcamera0.2
  * Don't move doc during dh_install if the nodoc profile is set
     (Closes: #1051195)
  * Drop patch included in upstream release
  * Mark python3-libcamera as Multi-Arch: same
  * Update debian/copyright
  * Add libdrm-dev in Build-Deps, it was already pulled by dependencies

 -- Dylan Aïssi <daissi@debian.org>  Wed, 10 Jan 2024 10:41:31 +0100

=== debian/control ===
Source: libcamera
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
           IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
           Andrej Shadura <andrewsh@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               doxygen <!nodoc>,
               doxygen-latex [!sh4] <!nodoc> | texlive-latex-extra <!nodoc>,
               graphviz <!nodoc>,
               libdrm-dev <!pkg.libcamera.nosdl>,
               libdw-dev <!pkg.libcamera.notrace>,
               libevent-dev,
               libgnutls28-dev | gnutls-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtest-dev <!nocheck>,
               libjpeg-dev <!pkg.libcamera.nosdl>,
               libjs-jquery <!nodoc>,
               libjs-sphinxdoc <!nodoc>,
               libjs-underscore <!nodoc>,
               liblttng-ust-dev [!hurd-any !i386],
               libpython3-dev <!pkg.libcamera.nopython>,
               libsdl2-dev <!pkg.libcamera.nosdl>,
               libtiff-dev,
               libudev-dev [linux-any],
               libyaml-dev,
               meson (>= 0.60),
               openssl,
               pkgconf | pkg-config,
               python3-jinja2,
               python3-ply,
               python3-pybind11 <!pkg.libcamera.nopython>,
               python3-sphinx <!nodoc>,
               python3-yaml,
               qtbase5-dev <!pkg.libcamera.noqt>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: libs
Homepage: https://libcamera.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git

Package: libcamera-dev
Section: libdevel
Architecture: any
Depends: libcamera0.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: complex camera support library (development files)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package provides the necessary files needed for development

Package: libcamera-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: libjs-jquery,
         libjs-sphinxdoc,
         libjs-underscore,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcamera-dev
Multi-Arch: foreign
Description: complex camera support library (documentation)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package contains the documentation developing with libcamera.

Package: libcamera0.2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libcamera-ipa
Breaks: libcamera0 (<< 0.0.3-1~)
Replaces: libcamera0 (<< 0.0.3-1~)
Multi-Arch: same
Description: complex camera support library
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.

Package: libcamera-ipa
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libcamera0 (<< 0.0.3-1~)
Replaces: libcamera0 (<< 0.0.3-1~)
Multi-Arch: same
Description: complex camera support library (IPA modules)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package contains the libcamera IPA (Image Processing Algorithms) modules.

Package: libcamera-tools
Section: video
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: complex camera support library (tools)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package provides cam and qcam, libcamera "Swiss army knife" tools.

Package: libcamera-v4l2
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libcamera0 (<< 0.0.3-1~)
Replaces: libcamera0 (<< 0.0.3-1~)
Multi-Arch: same
Description: complex camera support library (V4L2 module)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package contains the libcamera V4L2 module.

Package: gstreamer1.0-libcamera
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libcamera0 (<< 0.0.3-1~)
Replaces: libcamera0 (<< 0.0.3-1~)
Multi-Arch: same
Description: complex camera support library (GStreamer plugin)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package contains the libcamera GStreamer plugin.

Package: python3-libcamera
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: complex camera support library (Python bindings)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package contains the libcamera Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += \
	-Dv4l2=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=lib/${DEB_HOST_MULTIARCH} \
		-Dgstreamer=enabled \
		-Dpycamera=enabled \
		-Dtest=true \
		$(CONFFLAGS) \
		$(empty)

# Only make the tests fail for key architectures
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf))
	dh_auto_test
else
	-dh_auto_test
endif

override_dh_install:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	mv debian/tmp/usr/share/doc/libcamera-0.* debian/tmp/usr/share/doc/libcamera-doc
endif
	cp ./obj-${DEB_HOST_GNU_TYPE}/src/apps/ipa-verify/ipa_verify \
	   debian/tmp/usr/bin/
	dh_install -X/.doctrees/

override_dh_strip:
	dh_strip -a
	MESON_INSTALL_DESTDIR_PREFIX=. ./src/ipa/ipa-sign-install.sh \
		./obj-${DEB_HOST_GNU_TYPE}/src/ipa-priv-key.pem \
		debian/libcamera-ipa/usr/lib/${DEB_HOST_MULTIARCH}/libcamera/ipa_*.so
	for IPA_MOD in debian/libcamera-ipa/usr/lib/*/libcamera/ipa_*.so; \
	do \
	  echo "Verifying signature of $${IPA_MOD}"; \
	  ./obj-${DEB_HOST_GNU_TYPE}/src/apps/ipa-verify/ipa_verify $${IPA_MOD}; \
	done

.PHONY: licensecheck
licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, repack, compression=xz" \
    https://git.libcamera.org/libcamera/libcamera.git/ \
    refs/tags/v@ANY_VERSION@

#opts="mode=git, pgpmode=none, pretty=0.0.5+git%cd+%h, repack, compression=xz" \
#    https://git.libcamera.org/libcamera/libcamera.git/ \
#    HEAD

## libcamera 0.3.0

=== debian/changelog ===
libcamera (0.3.0-2deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:53:07 +0800

libcamera (0.3.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Wed, 22 May 2024 10:11:30 +0200

libcamera (0.3.0-1) experimental; urgency=medium

  * New upstream version 0.3.0
  * Bump SONAME to libcamera0.3
  * Set architecture to linux-any
  * Promote libcamera-ipa in Recommends of libcamera0.3 and ensure the
      binary version matches
  * Update debian/watch to use upstream recommended tarball
  * Standards-Version: 4.7.0 (no changes needed)
  * Drop obsolete pkg-config from Build-Deps
  * Refresh patches

 -- Dylan Aïssi <daissi@debian.org>  Mon, 20 May 2024 10:53:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: libcamera
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
            IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
            Andrej Shadura <andrewsh@debian.org>,
            Dylan Aïssi <daissi@debian.org>
+Section: libs
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                doxygen <!nodoc>,
@@ -30,24 +30,23 @@
                libyaml-dev,
                meson (>= 0.60),
                openssl,
-               pkgconf | pkg-config,
+               pkgconf,
                python3-jinja2,
                python3-ply,
                python3-pybind11 <!pkg.libcamera.nopython>,
                python3-sphinx <!nodoc>,
                python3-yaml,
                qtbase5-dev <!pkg.libcamera.noqt>
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
-Section: libs
-Homepage: https://libcamera.org/
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
 Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git
+Homepage: https://libcamera.org/
+Rules-Requires-Root: no
 
 Package: libcamera-dev
+Architecture: linux-any
 Section: libdevel
-Architecture: any
-Depends: libcamera0.2 (= ${binary:Version}),
+Depends: libcamera0.3 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: complex camera support library (development files)
@@ -58,44 +57,44 @@
  This package provides the necessary files needed for development
 
 Package: libcamera-doc
+Architecture: all
+Multi-Arch: foreign
 Section: doc
-Architecture: all
-Build-Profiles: <!nodoc>
 Depends: libjs-jquery,
          libjs-sphinxdoc,
          libjs-underscore,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libcamera-dev
-Multi-Arch: foreign
 Description: complex camera support library (documentation)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
  programming interface to the applications.
  .
  This package contains the documentation developing with libcamera.
+Build-Profiles: <!nodoc>
 
-Package: libcamera0.2
-Architecture: any
+Package: libcamera0.3
+Architecture: linux-any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: libcamera-ipa (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
-Suggests: libcamera-ipa
 Breaks: libcamera0 (<< 0.0.3-1~)
 Replaces: libcamera0 (<< 0.0.3-1~)
-Multi-Arch: same
 Description: complex camera support library
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
  programming interface to the applications.
 
 Package: libcamera-ipa
-Architecture: any
+Architecture: linux-any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libcamera0 (<< 0.0.3-1~)
 Replaces: libcamera0 (<< 0.0.3-1~)
-Multi-Arch: same
 Description: complex camera support library (IPA modules)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -104,12 +103,12 @@
  This package contains the libcamera IPA (Image Processing Algorithms) modules.
 
 Package: libcamera-tools
+Architecture: linux-any
+Multi-Arch: foreign
 Section: video
-Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: foreign
 Description: complex camera support library (tools)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -119,11 +118,11 @@
 
 Package: libcamera-v4l2
 Architecture: linux-any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libcamera0 (<< 0.0.3-1~)
 Replaces: libcamera0 (<< 0.0.3-1~)
-Multi-Arch: same
 Description: complex camera support library (V4L2 module)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -132,12 +131,12 @@
  This package contains the libcamera V4L2 module.
 
 Package: gstreamer1.0-libcamera
-Architecture: any
+Architecture: linux-any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libcamera0 (<< 0.0.3-1~)
 Replaces: libcamera0 (<< 0.0.3-1~)
-Multi-Arch: same
 Description: complex camera support library (GStreamer plugin)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -146,12 +145,12 @@
  This package contains the libcamera GStreamer plugin.
 
 Package: python3-libcamera
+Architecture: linux-any
+Multi-Arch: same
 Section: python
-Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
+         ${shlibs:Depends}
 Description: complex camera support library (Python bindings)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.freedesktop.org/camera/@PACKAGE@/tags?sort=updated_desc \
 -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## libcamera 0.3.1

=== debian/changelog ===
libcamera (0.3.1-2) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Refer to the i386 FTBFS bug

  [ Jeremy Bícha ]
  * Don't require qt6 on i386

  [ Joel Stanley ]
  * Enable simple pipeline on all arches

 -- Dylan Aïssi <daissi@debian.org>  Fri, 16 Aug 2024 14:46:49 +0200

libcamera (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1
  * Switch from qtbase5-dev to qt6-base-dev in Build-Depends
  * Bump minimum meson to 0.63
  * Disable qcam on i386 for now because it fails to build with errors
      due to missing SSE2.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 26 Jul 2024 10:55:50 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libtiff-dev,
                libudev-dev [linux-any],
                libyaml-dev,
-               meson (>= 0.60),
+               meson (>= 0.63),
                openssl,
                pkgconf,
                python3-jinja2,
@@ -36,7 +36,7 @@
                python3-pybind11 <!pkg.libcamera.nopython>,
                python3-sphinx <!nodoc>,
                python3-yaml,
-               qtbase5-dev <!pkg.libcamera.noqt>
+               qt6-base-dev [!i386] <!pkg.libcamera.noqt>
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
 Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git

## libcamera 0.3.2

=== meson_options.txt ===
# SPDX-License-Identifier: CC0-1.0

option('android',
        type : 'feature',
        value : 'disabled',
        description : 'Compile libcamera with Android Camera3 HAL interface')

option('android_platform',
        type : 'combo',
        choices : ['cros', 'generic'],
        value : 'generic',
        description : 'Select the Android platform to compile for')

option('cam',
        type : 'feature',
        value : 'auto',
        description : 'Compile the cam test application')

option('documentation',
        type : 'feature',
        description : 'Generate the project documentation')

option('doc_werror',
        type : 'boolean',
        value : false,
        description : 'Treat documentation warnings as errors')

option('gstreamer',
        type : 'feature',
        value : 'auto',
        description : 'Compile libcamera GStreamer plugin')

option('ipas',
        type : 'array',
        choices : ['ipu3', 'rkisp1', 'rpi/vc4', 'simple', 'vimc'],
        description : 'Select which IPA modules to build')

option('lc-compliance',
        type : 'feature',
        value : 'auto',
        description : 'Compile the lc-compliance test application')

option('pipelines',
        type : 'array',
        value : ['auto'],
        choices : [
            'all',
            'auto',
            'imx8-isi',
            'ipu3',
            'mali-c55',
            'rkisp1',
            'rpi/vc4',
            'simple',
            'uvcvideo',
            'vimc'
        ],
        description : 'Select which pipeline handlers to build. If this is set to "auto", all the pipelines applicable to the target architecture will be built. If this is set to "all", all the pipelines will be built. If both are selected then "all" will take precedence.')

option('pycamera',
        type : 'feature',
        value : 'auto',
        description : 'Enable libcamera Python bindings (experimental)')

option('qcam',
        type : 'feature',
        value : 'auto',
        description : 'Compile the qcam test application')

option('test',
        type : 'boolean',
        value : false,
        description : 'Compile and include the tests')

option('tracing',
        type : 'feature',
        value : 'auto',
        description : 'Enable tracing (based on lttng)')

option('udev',
       type : 'feature',
       value : 'auto',
       description : 'Enable udev support for hotplug')

option('v4l2',
        type : 'boolean',
        value : false,
        description : 'Compile the V4L2 compatibility layer')

=== debian/changelog ===
libcamera (0.3.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Add Build-Deps on libqt6opengl6-dev, it was merged in qt6-base-dev after
      Bookworm.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 05 Oct 2024 09:31:30 +0200

libcamera (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2
  * Drop patch included in upstream release
  * Update debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Sep 2024 21:35:43 +0200

libcamera (0.3.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Add Build-Deps on libqt6opengl6-dev, it was merged in qt6-base-dev after
      Bookworm.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Sep 2024 22:27:21 +0200

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,8 @@
                python3-pybind11 <!pkg.libcamera.nopython>,
                python3-sphinx <!nodoc>,
                python3-yaml,
-               qt6-base-dev [!i386] <!pkg.libcamera.noqt>
+               qt6-base-dev [!i386] <!pkg.libcamera.noqt>,
+               libqt6opengl6-dev [!i386] <!pkg.libcamera.noqt>
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
 Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,13 @@
 	-Dv4l2=true
 endif
 
+ifneq (,$(filter i386,$(DEB_HOST_ARCH)))
+QCAM=disabled
+# See https://bugs.debian.org/1076986
+else
+QCAM=enabled
+endif
+
 %:
 	dh $@
 
@@ -19,6 +26,7 @@
 		--libexecdir=lib/${DEB_HOST_MULTIARCH} \
 		-Dgstreamer=enabled \
 		-Dpycamera=enabled \
+		-Dqcam=$(QCAM) \
 		-Dtest=true \
 		$(CONFFLAGS) \
 		$(empty)

=== debian/tests/control ===
Tests: run-tools
Depends: @
Restrictions: superficial, allow-stderr

Tests: check-IPA-modules-signatures
Depends: @
Restrictions: superficial

Test-Command: echo "ok"
Depends: @builddeps@
Restrictions: build-needed

## libcamera 0.4.0

=== meson_options.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 option('ipas',
         type : 'array',
-        choices : ['ipu3', 'rkisp1', 'rpi/vc4', 'simple', 'vimc'],
+        choices : ['ipu3', 'mali-c55', 'rkisp1', 'rpi/vc4', 'simple', 'vimc'],
         description : 'Select which IPA modules to build')
 
 option('lc-compliance',
@@ -53,7 +53,8 @@
             'rpi/vc4',
             'simple',
             'uvcvideo',
-            'vimc'
+            'vimc',
+            'virtual'
         ],
         description : 'Select which pipeline handlers to build. If this is set to "auto", all the pipelines applicable to the target architecture will be built. If this is set to "all", all the pipelines will be built. If both are selected then "all" will take precedence.')

=== debian/changelog ===
libcamera (0.4.0-5ubuntu1) plucky; urgency=medium

  * Add pisp driver for cameras on Raspberry Pi 5 (LP: #2038669)
    - d/p/add_pisp_rpi5.patch: This patch adds the new PiSP driver used
      by camera modules on the Raspberry Pi 5 (they used unicam till Rpi4)
      and other changes required by it.
    - d/control: Add libpisp-dev as a dependency (required by the PiSP
      driver)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 11 Feb 2025 23:16:01 +0530

libcamera (0.4.0-5) unstable; urgency=medium

  * Cherry-pick upstream patches demoting error messages (Closes: #1091966)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 30 Jan 2025 12:07:44 +0100

libcamera (0.4.0-4) unstable; urgency=medium

  * Add patch disabling libunwind integration (Closes: #1093688)
  * Add Forwarded field for fix_detection_libyuv.patch

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 Jan 2025 10:42:24 +0100

libcamera (0.4.0-3) unstable; urgency=medium

  * Fix install location of the python module
  * Drop "Multi-Arch: same" for python3-libcamera

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Jan 2025 12:45:19 +0100

libcamera (0.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Tue, 31 Dec 2024 17:12:58 +0100

libcamera (0.4.0-1) experimental; urgency=medium

  * New upstream version 0.4.0
  * Bump SONAME to libcamera0.4
  * Add new Build-Deps: libyuv-dev
  * Add patch fixing detection of system libyuv
  * Skip memory_lifetime_test, it fails now when it was just skipped before.
  * Drop workaround for doxygen-latex on sh4, no longer required since all
    these build-deps moved to Build-Depends-Indep.
  * Allow reprotest and blhc to fail in salsa-ci

 -- Dylan Aïssi <daissi@debian.org>  Fri, 27 Dec 2024 12:52:33 +0100

libcamera (0.3.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move documentation Build-Depends to Build-Depends-Indep. (Closes: #1083173)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 21 Oct 2024 14:19:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libcamera
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
            IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
            Andrej Shadura <andrewsh@debian.org>,
@@ -8,9 +9,6 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               doxygen <!nodoc>,
-               doxygen-latex [!sh4] <!nodoc> | texlive-latex-extra <!nodoc>,
-               graphviz <!nodoc>,
                libdrm-dev <!pkg.libcamera.nosdl>,
                libdw-dev <!pkg.libcamera.notrace>,
                libevent-dev,
@@ -19,25 +17,29 @@
                libgstreamer1.0-dev,
                libgtest-dev <!nocheck>,
                libjpeg-dev <!pkg.libcamera.nosdl>,
-               libjs-jquery <!nodoc>,
-               libjs-sphinxdoc <!nodoc>,
-               libjs-underscore <!nodoc>,
                liblttng-ust-dev [!hurd-any !i386],
                libpython3-dev <!pkg.libcamera.nopython>,
                libsdl2-dev <!pkg.libcamera.nosdl>,
                libtiff-dev,
                libudev-dev [linux-any],
                libyaml-dev,
+               libyuv-dev,
                meson (>= 0.63),
                openssl,
                pkgconf,
                python3-jinja2,
                python3-ply,
                python3-pybind11 <!pkg.libcamera.nopython>,
-               python3-sphinx <!nodoc>,
                python3-yaml,
                qt6-base-dev [!i386] <!pkg.libcamera.noqt>,
-               libqt6opengl6-dev [!i386] <!pkg.libcamera.noqt>
+               libpisp-dev [arm64 armhf]
+Build-Depends-Indep: doxygen <!nodoc>,
+                     doxygen-latex <!nodoc>,
+                     graphviz <!nodoc>,
+                     libjs-jquery <!nodoc>,
+                     libjs-sphinxdoc <!nodoc>,
+                     libjs-underscore <!nodoc>,
+                     python3-sphinx <!nodoc>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
 Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git
@@ -47,7 +49,7 @@
 Package: libcamera-dev
 Architecture: linux-any
 Section: libdevel
-Depends: libcamera0.3 (= ${binary:Version}),
+Depends: libcamera0.4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: complex camera support library (development files)
@@ -75,7 +77,7 @@
  This package contains the documentation developing with libcamera.
 Build-Profiles: <!nodoc>
 
-Package: libcamera0.3
+Package: libcamera0.4
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -147,7 +149,6 @@
 
 Package: python3-libcamera
 Architecture: linux-any
-Multi-Arch: same
 Section: python
 Depends: ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	dh_auto_configure -- \
 		--libexecdir=lib/${DEB_HOST_MULTIARCH} \
 		-Dgstreamer=enabled \
+		-Dlibunwind=disabled \
 		-Dpycamera=enabled \
 		-Dqcam=$(QCAM) \
 		-Dtest=true \
@@ -39,13 +40,15 @@
 	-dh_auto_test
 endif
 
-override_dh_install:
+override_dh_install-indep:
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
 	mv debian/tmp/usr/share/doc/libcamera-0.* debian/tmp/usr/share/doc/libcamera-doc
 endif
+	dh_install -X/.doctrees/
+
+execute_before_dh_install-arch:
 	cp ./obj-${DEB_HOST_GNU_TYPE}/src/apps/ipa-verify/ipa_verify \
 	   debian/tmp/usr/bin/
-	dh_install -X/.doctrees/
 
 override_dh_strip:
 	dh_strip -a

## libcamera 0.5.0

=== meson_options.txt ===
--- 
+++ 
@@ -32,7 +32,8 @@
 
 option('ipas',
         type : 'array',
-        choices : ['ipu3', 'mali-c55', 'rkisp1', 'rpi/vc4', 'simple', 'vimc'],
+        choices : ['ipu3', 'mali-c55', 'rkisp1', 'rpi/pisp', 'rpi/vc4', 'simple',
+                   'vimc'],
         description : 'Select which IPA modules to build')
 
 option('lc-compliance',
@@ -50,6 +51,7 @@
             'ipu3',
             'mali-c55',
             'rkisp1',
+            'rpi/pisp',
             'rpi/vc4',
             'simple',
             'uvcvideo',
@@ -84,6 +86,7 @@
        description : 'Enable udev support for hotplug')
 
 option('v4l2',
-        type : 'boolean',
-        value : false,
-        description : 'Compile the V4L2 compatibility layer')
+        type : 'feature',
+        value : 'auto',
+        description : 'Compile the V4L2 compatibility layer',
+        deprecated : {'true': 'enabled', 'false': 'disabled'})

=== utils/tuning/requirements.txt ===
coloredlogs
matplotlib
numpy
opencv-python
py3exiv2
pyyaml
rawpy
scikit-learn
scipy

=== debian/changelog ===
libcamera (0.5.0-1ubuntu4) questing; urgency=medium

  * Rebuild against libpisp

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 01 Jul 2025 14:55:02 -0400

libcamera (0.5.0-1ubuntu3) questing; urgency=medium

  * No change rebuild with the newer libpisp, it seems the library soname
    changed without a soname bump but since libcamera is the only rdepends
    and the package is new in Debian let's keep things simple.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Jun 2025 09:24:31 +0200

libcamera (0.5.0-1ubuntu2) questing; urgency=medium

  * d/p/fix_pisp_cfe_entities.patch: Allow both old and new CFE
    entity match strings so camera modules can be detected on
    Raspberry Pi 5 using libcamera0.5 (LP: #2110144) 

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Wed, 07 May 2025 21:15:01 +0530

libcamera (0.5.0-1ubuntu1) questing; urgency=medium

  * d/p/add_syncmode_and_tensors.patch: Add SyncMode controls
    and CNN Tensors to enable rpicam-apps (LP: #2109901)
    - This patch adds the SyncMode IPA controls and the IMX500 tesnors
      and camera data required for rpicam-apps on the Raspberry Pi.

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 06 May 2025 12:40:28 +0530

libcamera (0.5.0-1) experimental; urgency=medium

  * New upstream version 0.5.0
     - Fix FTBFS with GCC-15 (Closes: #1097167)
  * Bump SONAME to libcamera0.5
  * Add new Build-Deps for ARM required to support RPi5: libpisp-dev
  * debian/gbp.conf: Set debian-branch to debian/experimental
  * Refresh patches and drop those included in upstream release

 -- Dylan Aïssi <daissi@debian.org>  Tue, 08 Apr 2025 13:30:03 +0200

libcamera (0.4.0-7) unstable; urgency=medium

  * Add superficial test for gstreamer1.0-libcamera
  * Add superficial test for python3-libcamera
  * Standards-Version: 4.7.2 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 23 Mar 2025 12:06:04 +0100

libcamera (0.4.0-6) unstable; urgency=medium

  * Make libcamera-tools depends on libcamera-ipa because libcamerify
    requires v4l2-compat.so to work.
  * Use libexec/${DEB_HOST_MULTIARCH} to override --libexecdir,
    otherwise v4l2-compat.so ends up in the same folder as IPA modules
    and IPA manager tries to parse it leading to errors.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 25 Feb 2025 11:48:40 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libgtest-dev <!nocheck>,
                libjpeg-dev <!pkg.libcamera.nosdl>,
                liblttng-ust-dev [!hurd-any !i386],
+               libpisp-dev [arm64 armel armhf],
                libpython3-dev <!pkg.libcamera.nopython>,
                libsdl2-dev <!pkg.libcamera.nosdl>,
                libtiff-dev,
@@ -31,8 +32,7 @@
                python3-ply,
                python3-pybind11 <!pkg.libcamera.nopython>,
                python3-yaml,
-               qt6-base-dev [!i386] <!pkg.libcamera.noqt>,
-               libpisp-dev [arm64 armhf]
+               qt6-base-dev [!i386] <!pkg.libcamera.noqt>
 Build-Depends-Indep: doxygen <!nodoc>,
                      doxygen-latex <!nodoc>,
                      graphviz <!nodoc>,
@@ -40,7 +40,7 @@
                      libjs-sphinxdoc <!nodoc>,
                      libjs-underscore <!nodoc>,
                      python3-sphinx <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
 Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git
 Homepage: https://libcamera.org/
@@ -49,7 +49,7 @@
 Package: libcamera-dev
 Architecture: linux-any
 Section: libdevel
-Depends: libcamera0.4 (= ${binary:Version}),
+Depends: libcamera0.5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: complex camera support library (development files)
@@ -77,7 +77,7 @@
  This package contains the documentation developing with libcamera.
 Build-Profiles: <!nodoc>
 
-Package: libcamera0.4
+Package: libcamera0.5
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -110,7 +110,8 @@
 Multi-Arch: foreign
 Section: video
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         libcamera-v4l2 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: complex camera support library (tools)
  libcamera is a complex camera support library which handles low-level

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=lib/${DEB_HOST_MULTIARCH} \
+               --libexecdir=libexec/${DEB_HOST_MULTIARCH} \
 		-Dgstreamer=enabled \
 		-Dlibunwind=disabled \
 		-Dpycamera=enabled \
@@ -61,6 +61,9 @@
 	  ./obj-${DEB_HOST_GNU_TYPE}/src/apps/ipa-verify/ipa_verify $${IPA_MOD}; \
 	done
 
+execute_after_dh_fixperms:
+	find debian/ -name 'v4l2-compat.so' -exec chmod -x '{}' \;
+
 .PHONY: licensecheck
 licensecheck:
 	licensecheck --deb-machine -r * \

## libcamera 0.5.1

=== debian/changelog ===
libcamera (0.5.1-1) experimental; urgency=medium

  * New upstream version 0.5.1
  * Refresh patches
  * Install IPA modules in usr/lib/*/libcamera/ipa
  * Adjust VCS field in d/control for experimental

 -- Dylan Aïssi <daissi@debian.org>  Tue, 03 Jun 2025 21:16:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libcamera
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
            IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
            Andrej Shadura <andrewsh@debian.org>,
@@ -42,7 +41,7 @@
                      python3-sphinx <!nodoc>,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
-Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git -b debian/experimental
 Homepage: https://libcamera.org/
 Rules-Requires-Root: no

## libcamera 0.5.2

=== meson_options.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 option('documentation',
         type : 'feature',
+        value : 'auto',
         description : 'Generate the project documentation')
 
 option('doc_werror',

=== debian/changelog ===
libcamera (0.5.2-3) unstable; urgency=medium

  * salsa-ci: enable cross-build job
  * Add ':native' to python packages with arch 'all'
  * Disable signatures verification if cross-building

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Sep 2025 14:39:55 +0200

libcamera (0.5.2-2) unstable; urgency=medium

  * Adjust VCS fields in d/control and d/gbp.conf for unstable.
  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 17 Aug 2025 22:47:35 +0200

libcamera (0.5.2-1) experimental; urgency=medium

  * New upstream version 0.5.2
  * Add python3-sphinxcontrib.doxylink in Build-Depends-Indep
  * Refresh debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Thu, 07 Aug 2025 17:16:21 +0200

=== debian/control ===
--- 
+++ 
@@ -27,10 +27,10 @@
                meson (>= 0.63),
                openssl,
                pkgconf,
-               python3-jinja2,
+               python3-jinja2:native,
                python3-ply,
                python3-pybind11 <!pkg.libcamera.nopython>,
-               python3-yaml,
+               python3-yaml:native,
                qt6-base-dev [!i386] <!pkg.libcamera.noqt>
 Build-Depends-Indep: doxygen <!nodoc>,
                      doxygen-latex <!nodoc>,
@@ -38,10 +38,11 @@
                      libjs-jquery <!nodoc>,
                      libjs-sphinxdoc <!nodoc>,
                      libjs-underscore <!nodoc>,
-                     python3-sphinx <!nodoc>,
+                     python3-sphinx:native <!nodoc>,
+                     python3-sphinxcontrib.doxylink:native <!nodoc>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
-Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git -b debian/experimental
+Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git
 Homepage: https://libcamera.org/
 Rules-Requires-Root: no

=== debian/tests/control ===
--- 
+++ 
@@ -9,3 +9,11 @@
 Test-Command: echo "ok"
 Depends: @builddeps@
 Restrictions: build-needed
+
+Tests: gstreamer1.0-libcamera
+Restrictions: allow-stderr, superficial
+Depends: gstreamer1.0-libcamera, gstreamer1.0-tools
+
+Tests: python3-libcamera
+Restrictions: superficial
+Depends: python3-libcamera

## libcamera 0.5.2+rpt20250903

=== debian/changelog ===
libcamera (0.5.2+rpt20250903-1~bpo12+1) bookworm; urgency=medium

  [ Serge Schneider ]
  * Remove doxylink changes
  * d/c: Add missing libqt6opengl6-dev dependency
  * d/c: set standards version to 4.6.2

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 09 Sep 2025 13:26:07 +0100

libcamera (0.5.2+rpt20250903-1) trixie; urgency=medium

  * New upstream version 0.5.2+rpt20250903
  * Only enable rpi pipelines on arm
  * d/c: Move libcamera-ipa to Depends
  * d/salsa-cy.yml: Use internal salsa-ci instance
  * d/python3-libcamera.install: fix python module source location

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 05 Sep 2025 14:50:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,5 @@
 Source: libcamera
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
-           IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
-           Andrej Shadura <andrewsh@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
+Maintainer: Serge Schneider <serge@raspberrypi.com>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -27,22 +23,23 @@
                meson (>= 0.63),
                openssl,
                pkgconf,
-               python3-jinja2:native,
+               python3-jinja2,
                python3-ply,
                python3-pybind11 <!pkg.libcamera.nopython>,
-               python3-yaml:native,
-               qt6-base-dev [!i386] <!pkg.libcamera.noqt>
+               python3-yaml,
+               qt6-base-dev [!i386] <!pkg.libcamera.noqt>,
+               libqt6opengl6-dev [!i386] <!pkg.libcamera.noqt>
 Build-Depends-Indep: doxygen <!nodoc>,
                      doxygen-latex <!nodoc>,
                      graphviz <!nodoc>,
                      libjs-jquery <!nodoc>,
                      libjs-sphinxdoc <!nodoc>,
                      libjs-underscore <!nodoc>,
-                     python3-sphinx:native <!nodoc>,
-                     python3-sphinxcontrib.doxylink:native <!nodoc>
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
-Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git
+                     python3-sphinx <!nodoc>,
+                     python3-sphinxcontrib.doxylink <!nodoc>
+Standards-Version: 4.6.2
+Vcs-Browser: https://github.com/RPi-Distro/libcamera
+Vcs-Git: https://github.com/RPi-Distro/libcamera.git
 Homepage: https://libcamera.org/
 Rules-Requires-Root: no
 
@@ -81,11 +78,11 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libcamera-ipa (= ${binary:Version})
+         ${shlibs:Depends},
+         libcamera-ipa (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -96,8 +93,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library (IPA modules)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -125,8 +122,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library (V4L2 module)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -139,8 +136,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library (GStreamer plugin)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,13 @@
 QCAM=enabled
 endif
 
+# Only enable rpi pipelines on arm
+ifneq (,$(filter $(DEB_HOST_ARCH), arm64 armhf))
+	PIPELINES=rpi/vc4,rpi/pisp,uvcvideo
+else
+	PIPELINES=uvcvideo
+endif
+
 %:
 	dh $@
 
@@ -27,6 +34,7 @@
 		-Dgstreamer=enabled \
 		-Dlibunwind=disabled \
 		-Dpycamera=enabled \
+		-Dpipelines=${PIPELINES} \
 		-Dqcam=$(QCAM) \
 		-Dtest=true \
 		$(CONFFLAGS) \
@@ -54,8 +62,8 @@
 	dh_strip -a
 	MESON_INSTALL_DESTDIR_PREFIX=. ./src/ipa/ipa-sign-install.sh \
 		./obj-${DEB_HOST_GNU_TYPE}/src/ipa-priv-key.pem \
-		debian/libcamera-ipa/usr/lib/${DEB_HOST_MULTIARCH}/libcamera/ipa_*.so
-	for IPA_MOD in debian/libcamera-ipa/usr/lib/*/libcamera/ipa_*.so; \
+		debian/libcamera-ipa/usr/lib/${DEB_HOST_MULTIARCH}/libcamera/ipa/ipa_*.so
+	for IPA_MOD in debian/libcamera-ipa/usr/lib/*/libcamera/ipa/ipa_*.so; \
 	do \
 	  echo "Verifying signature of $${IPA_MOD}"; \
 	  ./obj-${DEB_HOST_GNU_TYPE}/src/apps/ipa-verify/ipa_verify $${IPA_MOD}; \
